Jump to content

[1.8.1 - 1.9.1] Kopernicus Continued


prestja
 Share

Recommended Posts

@R-T-B R-T-B released this now

New in this version (release-23)

1.) We have moved to a universal build system supporting both 1.8.1 and 1.9.1.

2.) Numerous vetted bugfixes from bleeding edge.

3.) Since we support more than one KSP version now, you may have to look up/down a bit for the "1.8.1" or other "old" versions if you are looking for them.

Download the appropriately labeled, KSP version-specific zip please.

On 1/25/2021 at 10:50 PM, Hohmannson said:

 It's experimental because it lacks support for comets and new Jool textures. Take it here. The work never stops.

This does seem to be the case.  "Stable" has super high standards, and I keep having to bump back the requirements I mean to meet to bring another version to stable.  We did just get 1.8.1 support though on stable branch... *points up*

Edited by R-T-B
Link to comment
Share on other sites

Missed a release post there, yeah.  Nothing really worth worrying about though, here's this:

@R-T-B R-T-B released this now

New in this latest version (release-25)

1.) A bug in which all stars were treated as equal luminosity for the rimshader inverse square law calculations has been fixed.

 

Edited by R-T-B
Link to comment
Share on other sites

19 hours ago, R-T-B said:
Missed a release post there, yeah.  Nothing really worth worrying about though, here's this:

@R-T-B R-T-B released this now

New in this latest version (release-25)

1.) A bug in which all stars were treated as equal luminosity for the rimshader inverse square law calculations has been fixed.

 

Is it updated for KSP 1.11.1?  

Link to comment
Share on other sites

4 hours ago, GuilleRegidor said:

Is it updated for KSP 1.11.1?  

You'll want the beta release, located here:

Next 1.8.1-.1.9.1 stable release is here:

@R-T-B R-T-B released this now

New in this latest version (release-26)

1.) A bug in which rarely, certain bodies would have their rimshader targets incorrectly assigned has been fixed.

2.) Solarpanels.cfg update for broader mod support.

3.) A fix for laythe oceans on Ultra Shaders has been applied.

4.) We now support disabling Kopernicus Asteroid Control entirely (for external modpacks like Custom Asteroids) by setting Kopernicus_Config.cfg parameter UseKopernicusAsteroidSystem = False.

Edited by R-T-B
Link to comment
Share on other sites

I'm curious what the status of ModuleFlightIntegrator is currently. I've seen on the last couple of pages that there have been some special patches for this that  might not make it into the proper branch of MFI, but that discussions with Sarbian were in progress. Since then however, MFI has been updated and I'm curious if I can update to the 1.2.8 version available on CKAN or if I need to keep the version bundled with Koperinus-BE edition?

Link to comment
Share on other sites

I'm trying (unsuccessfully) to install the Outer Planets Mod,  but during game startup I get the message that Kopernicus isn't supported, with a warning not to open saved games.

KSP 1.11.0.3045 / OPM 2.2.8 / Kopernicus 1.9.1.26

I see the earlier comment about Kopernicus Unified Bleeding Edge, I just downloaded 'BE_1.11.1_Release76', but KSP still says it's not supported, and don't open any saved games. (I started a new one, just to see, but no Outer Planets visible.)

Any ideas?

Thanks, David

Edited by drburns650
update on status
Link to comment
Share on other sites

1 hour ago, drburns650 said:

I'm trying (unsuccessfully) to install the Outer Planets Mod,  but during game startup I get the message that Kopernicus isn't supported, with a warning not to open saved games.

KSP 1.11.0.3045 / OPM 2.2.8 / Kopernicus 1.9.1.26

I see the earlier comment about Kopernicus Unified Bleeding Edge, I just downloaded 'BE_1.11.1_Release76', but KSP still says it's not supported, and don't open any saved games. (I started a new one, just to see, but no Outer Planets visible.)

Any ideas?

Yeah, version mismatch.

Kopernicus 1.9.1 and OPM 2.2.2.8 are not officially compatible with KSP 1.11.  While you may find that some mods will work outside of their stated KSP version ranges, planet packs in particular can be very sensitive to KSP and Kopernicus versions.  You're asking for trouble and I would suggest reverting to KSP 1.9.1 until the mod authors update their offerings.  You might consider trying KSP 1.10.1.

Experiment only on a copy of your game (i.e. duplicate and rename the entire KSP directory and play on the copy) to reduces the chances of permanent corruption of your save until you're satisfied.

Are you using CKAN or are you manually downloading and installing?

Lastly, read the guidance at the link in my sig block below for some advice on how to report problems.  You don't have to follow it exactly but there's some good stuff there.  It doesn't take much effort on your part but could save plenty of a mod author's  precious time considering you're asking for help.  Consider adding screenshots that demonstrate the problem.

Edited by Brigadier
Link to comment
Share on other sites

On 2/3/2021 at 4:36 PM, SpacedInvader said:

I'm curious what the status of ModuleFlightIntegrator is currently. I've seen on the last couple of pages that there have been some special patches for this that  might not make it into the proper branch of MFI, but that discussions with Sarbian were in progress. Since then however, MFI has been updated and I'm curious if I can update to the 1.2.8 version available on CKAN or if I need to keep the version bundled with Koperinus-BE edition?

You can use the latest genuine MFI.   We will update the bundle on both branches shortly.

On 2/5/2021 at 9:45 AM, ImperfectMrDogeIV said:

I am having a ring problem  I am on 1.8.1 with ksrss (I also found this bug on rss) and the rings look something like this https://imgur.com/a/B29k7xB 

I have narrowed it down to be kopernicus. Is there any way to fix this

They also disappear  if you get 1 meter away from them

We have an experimental fix for this for linux/mac in bleeding edge.  You are using opengl right?  If not then it's probably a seperate 1.8 specific bug and I will look into it for next release (the next stable release will be huge and support quite a few bugfixes that are well vetted, including that).

A quick fix you could try is using the very old 1.8.1-1 releases shader folder.

Edited by R-T-B
Link to comment
Share on other sites

So, I just got Kopernicus to go with Parallax, but it's showing an error on the menu.
I am currently using Astronomer's Visual Pack along with some other visual enhancements and QoL mods. However, on the main menu I get an error message from Kopernicus.

Here can be found a screenshot of the error message and of the mods I am currently running.

I am unable to post the KSP.log or Kopernicus logs because I cannot post file attachments. Sorry for the inconvenience.

 

Link to comment
Share on other sites

1 hour ago, Waluigi said:

So, I just got Kopernicus to go with Parallax, but it's showing an error on the menu.
I am currently using Astronomer's Visual Pack along with some other visual enhancements and QoL mods. However, on the main menu I get an error message from Kopernicus.

Here can be found a screenshot of the error message and of the mods I am currently running.

I am unable to post the KSP.log or Kopernicus logs because I cannot post file attachments. Sorry for the inconvenience.

 

Oh no it's Waluigi!

1.11.1 support isn't stable yet, and thus not found in this thread.  However, we have a beta (that will most likely go stable tomorrow, in fact, because it's nearly there) right here:

https://forum.kerbalspaceprogram.com/index.php?/topic/195699-181-111r-t-bs-kopernicus-unified-bleeding-edge-branch/

Edited by R-T-B
Link to comment
Share on other sites

33 minutes ago, R-T-B said:

Oh no it's Waluigi!

1.11.1 support isn't stable yet, and thus not found in this thread.  However, we have a beta (that will most likely go stable tomorrow, in fact, because it's nearly there) right here:

https://forum.kerbalspaceprogram.com/index.php?/topic/195699-181-111r-t-bs-kopernicus-unified-bleeding-edge-branch/

I have realised now that I posted in the wrong forum page. My greatest apologies. But, luckily enough, Bleeding Edge is the mod that I am using, and is causing my issues.

Link to comment
Share on other sites

1 hour ago, Waluigi said:

I have realised now that I posted in the wrong forum page. My greatest apologies. But, luckily enough, Bleeding Edge is the mod that I am using, and is causing my issues.

Ah, I see now.  You have the Parallax stock textures, but not the parallax base mod, which causes these exact symptoms.  This link should sort your install if you add it to your modset.

https://github.com/Gameslinx/Tessellation/releases/download/1.1.1/Parallax.1.1.1.zip

Also heads up for everyone:  As user @prestja is presently busy with school, we will be opening a new thread for Kopernicus stable with the addition of 1.10/1.11 support.  This thread will no longer be monitored.  We will update this thread with the new link (with me as OP) when that drops.

Edited by R-T-B
Link to comment
Share on other sites

13 hours ago, R-T-B said:

You can use the latest genuine MFI.   We will update the bundle on both branches shortly.

We have an experimental fix for this for linux/mac in bleeding edge.  You are using opengl right?  If not then it's probably a seperate 1.8 specific bug and I will look into it for next release (the next stable release will be huge and support quite a few bugfixes that are well vetted, including that).

A quick fix you could try is using the very old 1.8.1-1 releases shader folder.

ok ill try that

Link to comment
Share on other sites

38 minutes ago, ImperfectMrDogeIV said:

ok ill try that

the latest stable just dropped if you'd like to try it.  We are using a new discussion thread though, moving forward, due to management changes:

 

Edited by R-T-B
Link to comment
Share on other sites

Posting this in multiple places in the hopes of finding someone to help sort it out...

I'm running into a serious issue with Kopernicus and I've got no idea how to fix it. Things were working fine until last night, running the most recent stable version of Kopernicus on KSP 1.11.1. Then after an 8 hour session the game crashed... hard... I got some blank error messages with progress bars that did nothing except show that they were from Unity and one notification that there had been an overflow of some type before finally forcing me to alt-f4 / end processes to get rid of the messages. Anyway, ever since then, whenever I try to load a save from within the game, this is what I'm presented with:

Spoiler

fztSQ4k.png

Spoiler

wi0vVwz.png

The first image where KSC is underground is what always happens on the first reload, the second is usually what happens if I try to reload a second time, though sometimes the terrain is so low that you can see water below the floating space center.

Anyway, these are from a bare bones install with just Kopernicus, ModularFlightIntegrator, and Module Manager and KSP installed. I've tried reinstalling all of them, including KSP more than once, always with the same result. Additionally, I get the same results if I try to roll back Kopernicus and MFI to the bleeding edge version I'd been using before the stable release. That all said, whats more interesting / frustrating about this is that it doesn't seem to be restricted to my main KSP install, but instead it affects all KSP installs on my system, even a completely fresh install made after all of this started with freshly downloaded KSP and Kopernicus archives. And that's where I'm fresh out of ideas on how to fix this... I'm not familiar with anything other than logs that KSP stores outside of its home directory and I don't know of anything at all that Kopernicus might store elsewhere that could have become corrupted, so I'm really hoping someone who knows more about the way Kopernicus / KSP works can help me sort out what might be going wrong here because its preventing me from playing my main save as I'm both afraid it could further corrupt if I try to press forward and the mission I was about to launch was a rover to drive around KSC...

Logs

Kopernicus Generated Logs

EDIT: Just to be clear, I only get these results when Kopernicus is installed

Edited by SpacedInvader
Link to comment
Share on other sites

  • 2 weeks later...
  • 4 weeks later...

@R-T-BHave you seen this? https://forum.kerbalspaceprogram.com/index.php?/topic/152136-ksp-181-galileos-planet-pack-v164-01-july-2020/&do=findComment&comment=3939573

Quote

Actually, having the bleeding edge version solved the freezing issues. There is no other mod in my game folder that would've caused that besides the life support and hyperedit mods, but both of them were removed and I still had the issue.

 

Edited by Black-Two-
Link to comment
Share on other sites

  • 3 weeks later...

My planet is not loading but it has the marker on the map screen saying it is there but I can't see it. My config is below. Please help

The last thing the log says is:

[LOG 09:25:11]: bodyTransform = 
[LOG 09:25:11]: --------------------------------------
[LOG 09:25:11]: Body.PostApply(ConfigNode): Loading cached scaled space mesh: Tutora

@Kopernicus:AFTER[Kopernicus]
{
    Body
    {
        name = Tutora
        Template
        {
            name = Tylo
            removeOcean = true
            removeAllPQSMods = true
        }

        Orbit
        {
            referenceBody = Sun
            inclination = 0
            eccentricity = 0
            semiMajorAxis = 9000000000
            longitudeOfAscendingNode = 172.137
            argumentOfPeriapsis = 0
            meanAnomalyAtEpoch = 1.1
            epoch = 1
            color = 0.41,0.29,0.51,1.0
        }
        Properties
        {
            description = just work please
            radius = 20000
            geeASL = 0.06
            rotationPeriod = 46134.589375
            rotates = true
            tidallyLocked = false
            initialRotation = 0
            isHomeWorld = false
            timewarpAltitudeLimits = 0 1000 1200 1500 2000 3000 10000 20000
            ScienceValues
            {
                landedDataValue = 2
                inSpaceLowDataValue = 3
                inSpaceHighDataValue = 3
                recoveryValue = 4
                spaceAltitudeThreshold = 3000
            }
        }
        ScaledVersion
        {
            Type = Vacuum            
            fadeStart = 13500
            fadeEnd = 15000

            Material
            {
                texture = Tutora/PluginData/Tutora_colour.dds
                normals = Tutora/PluginData/Tutora_normals.dds
                shininess = 0
                specular = 0,0,0,0
                rimPower = 2
                rimBlend = 0.3
                Gradient
                {
                    0.0 = 0.9,0.9,1.0,1.0
                    0.5 = 0.6,0.6,0.8,1.0
                    0.9 = 0.3,0.3,0.4
                    1.0 = 0.05,0.05,0.09,1.0
                }
            }
        }
        PQS
        {
            
            minLevel = 2
            maxLevel = 8
            maxQuadLengthsPerFrame = 0.03
            fadeStart = 15000
            fadeEnd = 20000
            deactivateAltitude = 25000
            Material
            {
                saturation = 1
                contrast = 1
                tintColor = 0.95,1,1,1

                powerNear = 0.8
                powerFar = 0.6

                groundTexStart = 0
                groundTexEnd = 1000

                steepPower = 2
                steepTexStart = 0
                steepTexEnd = 50000
                steepTex = BUILTIN/terrain_rock00
                steepBumpMap = BUILTIN/RockyGround2
                steepNearTiling = 2000
                steepTiling = 20

                lowTex = BUILTIN/terrain_snow00
                lowBumpMap = BUILTIN/quiet
                lowNearTiling = 1000
                lowMultiFactor = 10
                lowBumpNearTiling = 1000
                lowBumpFarTiling = 10

                midTex = BUILTIN/terrain_snow00
                midBumpMap = BUILTIN/quiet
                midNearTiling = 1000
                midMultiFactor = 10
                midBumpNearTiling = 2000
                midBumpFarTiling = 20

                highTex = BUILTIN/terrain_snow00
                highBumpMap = BUILTIN/quiet
                highNearTiling = 1000
                highMultiFactor = 10
                highBumpNearTiling = 1000
                highBumpFarTiling = 10

                lowStart = 0
                lowEnd = 0.3
                highStart = 0.8
                highEnd = 1

                globalDensity = 0
            }
            Mods
            {
                VertexHeightMap
                {
                    map = Tutora/PluginData/Tutora_height.dds
                    offset = 0 
                    deformity = 3000
                    scaleDeformityByRadius = False
                    order = 20
                    enabled = True
                }
                VertexHeightNoise
                {
                    enabled = true
                    name = hello
                    order = 30
                    frequency = 23
                    deformity = 3000
                    seed = 32
                    lacunarity = 2
                    persistence = 0.5
                    octaves = 6
                    mode = Low
                    noiseType = RidgedMultifractal
                }
                VertexColorMap
                {
                    map = Tutora/PluginData/Tutora_colour.dds
                    order = 60
                    enabled = True
                }
            }
        }
    }
}

Edited by Jebediah Studios
Link to comment
Share on other sites

  • 2 months later...
  • 3 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...